##
##  solrflux.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2011 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         solrflux
Summary:      Apache Solr Command-Line Interface
URL:          http://code.google.com/p/solrflux/
Vendor:       taksc
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      ASL
Version:      20110730
Release:      20110730

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/solrflux/solrflux-%{version}.tar.gz
Source1:      solrflux.sh
Patch0:       solrflux.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101
PreReq:       OpenPKG, openpkg >= 20100101, java, JAVA-JDK

%description
    Solr Flux is an interactive command-line interface for Apache Solr.
    It allows you to insert/delete/query documents with an SQL-like
    syntax.

%track
    prog solrflux = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/solrflux/
        regex     = solrflux-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n solrflux
    %patch -p0

%build
    cp=""
    for jar in lib/*.jar; do
        if [ ".$cp" = . ]; then cp="$jar"; else cp="$cp:$jar"; fi
    done
    mkdir out
    find . -name "*.java" -print |\
        xargs javac -cp "$cp" -d out
    jar -cf solrflux.jar -C out/ .

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/solrflux
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE solrflux.sh} $RPM_BUILD_ROOT%{l_prefix}/bin/solrflux
    %{l_shtool} install -c -m 644 \
        solrflux.jar $RPM_BUILD_ROOT%{l_prefix}/lib/solrflux/
    %{l_shtool} install -c -m 644 \
        lib/*.jar $RPM_BUILD_ROOT%{l_prefix}/lib/solrflux/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

